Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.exceptions
Class DocumentNotFoundIdCreationException

    java.lang.Object
      DocumentIdCreationException
          com.ibm.workplace.wcm.api.exceptions.DocumentNotFoundIdCreationException

    public class DocumentNotFoundIdCreationException

extends DocumentIdCreationException

This exception is thrown if the item targeted by the `DocumentId` could not be found, and as a result the `DocumentId` could not be be created.

This will only occur when the UUID of the item is used to create the `DocumentId` and not the `DocumentId.toString()` representation.

Since:
  8.0

Constructor Summary
`` | `DocumentNotFoundIdCreationException()` Constructor.
`` | `DocumentNotFoundIdCreationException(java.lang.String msg)` Constructs a new exception with the given message.
`` | `DocumentNotFoundIdCreationException(java.lang.String detail, java.lang.Throwable cause)` Constructor that requires detail plus a cause exception
`protected` | `DocumentNotFoundIdCreationException(java.lang.Throwable cause)` Constructor to only be used by sub classes

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentNotFoundIdCreationException

    public DocumentNotFoundIdCreationException()

  Constructor.

### DocumentNotFoundIdCreationException

    public DocumentNotFoundIdCreationException(java.lang.String msg)

  Constructs a new exception with the given message.

  Parameters:
    `msg` - the message

### DocumentNotFoundIdCreationException

    protected DocumentNotFoundIdCreationException(java.lang.Throwable cause)

  Constructor to only be used by sub classes

  Parameters:
    `cause` - the exception that caused this exception

### DocumentNotFoundIdCreationException

    public DocumentNotFoundIdCreationException(java.lang.String detail,
                                               java.lang.Throwable cause)

  Constructor that requires detail plus a cause exception

  Parameters:
    `detail` - a message description extra information about the exception
    `cause` - the exception that caused this exception

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD